Bug 599683 - wallaby-load won't load a snapshot from wallaby-dump
Summary: wallaby-load won't load a snapshot from wallaby-dump
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby   
(Show other bugs)
Version: Development
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Will Benton
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-03 18:30 UTC by Robert Rati
Modified: 2010-10-20 11:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wallaby DB (78.25 KB, application/octet-stream)
2010-06-03 18:30 UTC, Robert Rati
no flags Details

Description Robert Rati 2010-06-03 18:30:54 UTC
Created attachment 419475 [details]
Wallaby DB

Description of problem:
When executing wallaby-load <file>:
Console Connection Established...
Creating node 'redhat-7b6379dc'
/usr/lib/ruby/site_ruby/1.8/qmf.rb:554:in `method_missing': undefined method `MakeUnprovisioned' for #<Qmf::ConsoleObject:0x2aaab829bc78> (NoMethodError)
	from /usr/lib/ruby/site_ruby/1.8/mrg/grid/config-client.rb:46:in `send'
	from /usr/lib/ruby/site_ruby/1.8/mrg/grid/config-client.rb:46:in `method_missing'
	from /usr/lib/ruby/site_ruby/1.8/mrg/grid/config-proxies.rb:203:in `create_nodes'
	from /usr/lib/ruby/site_ruby/1.8/mrg/grid/config-proxies.rb:200:in `each'
	from /usr/lib/ruby/site_ruby/1.8/mrg/grid/config-proxies.rb:200:in `create_nodes'
	from /usr/lib/ruby/site_ruby/1.8/mrg/grid/config-proxies.rb:192:in `create_entities'
	from /usr/lib/ruby/site_ruby/1.8/mrg/grid/config-proxies.rb:186:in `load'
	from /usr/bin/wallaby-load:122


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. wallaby-load temp.dump
2. 
3.
  
Actual results:
Above error

Expected results:
Successful DB load

Additional info:

Comment 1 Will Benton 2010-06-03 21:46:09 UTC
This was a lingering API reform issue that (surprisingly) slipped through the cracks.  It's fixed upstream now, and will be in the next (post-0.3.5-2) ruby-wallaby package.

Comment 2 Lubos Trilety 2010-07-20 12:21:25 UTC
Tested with (version):
ruby-wallaby-0.6.1-2

Tested on:
RHEL5 x86_64  - passed
RHEL5 i386    - passed

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.